<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: R8HL_welcome_admin.php
| Author: Nick Jones (Digitanium)   modified for by Rolly8-HL
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
if (!checkrights("R8WM") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("../index.php"); }
include LOCALE.LOCALESET."admin/settings.php";
require_once THEMES."templates/admin_header_mce.php";
require_once INCLUDES."html_buttons_include.php";
if ($settings['tinymce_enabled']) {
	echo "<script language='javascript' type='text/javascript'>advanced();</script>\n";
} else {
	require_once INCLUDES."html_buttons_include.php";
require_once INCLUDES."bbcode_include.php";
}

if (isset($_POST['savesettings'])) {
	$error = 0;
//	$siteintro = $_POST['intro'];
	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($_POST['r8hl_welcome_panel'])."' WHERE settings_name='r8hl_welcome_panel'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".addslashes(addslashes($_POST['r8hl_welcome_message']))."' WHERE settings_name='r8hl_welcome_message'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($_POST['opening_page'])."' WHERE settings_name='opening_page'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".(isnum($_POST['maintenance']) ? $_POST['maintenance'] : "0")."' WHERE settings_name='maintenance'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".addslashes(addslashes($_POST['r8hl_maintenance_message']))."' WHERE settings_name='r8hl_maintenance_message'");
	if (!$result) { $error = 1; }
	redirect(FUSION_SELF.$aidlink."&error=".$error);
}	

if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
	} elseif ($_GET['error'] == 2) {
		$message = $locale['696'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n";
	}
}

$settings2 = array();
$result = dbquery("SELECT * FROM ".DB_SETTINGS);
while ($data = dbarray($result)) {
	$settings2[$data['settings_name']] = $data['settings_value'];
}

opentable("R8-HL&nbsp;-&nbsp;".$locale['432']);
echo "<div id='info'></div>\n";
echo'<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="2JN9P7LQC7HRU">
<input type="image" src="https://www.paypalobjects.com/de_DE/DE/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="Jetzt einfach, schnell und sicher online bezahlen  mit PayPal.">
<img alt="" border="0" src="https://www.paypalobjects.com/de_DE/i/scr/pixel.gif" width="1" height="1">
</form>';
echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='500' class='center'>\n";
echo"<strong>".$locale['432']."</strong>";
echo "<tr>\n";
echo "<td width='30%' class='tbl' valign='top'>Name:</td>\n";
echo "<td width='70%' class='tbl' valign='top'>
<input type='text' name='r8hl_welcome_panel' value='".$settings2['r8hl_welcome_panel']."'  class='textbox' style='width:98%;' />
</td>\n</tr>\n";

	if ($settings['tinymce_enabled'] != 1) {
			echo"<tr>\n<td>\n</td>\n<td>\n" .display_bbcodes("100%;", "r8hl_welcome_panel", "settingsform", "")."</td>\n</tr>\n";
}
echo "<tr>\n";
echo "<td width='30%' class='tbl' valign='top'>".$locale['407']."<br /><span class='small2'>".$locale['408']."</span></td>\n";
echo "<td width='70%' class='tbl' valign='top'><textarea name='r8hl_welcome_message' cols='100' rows='10' class='textbox' style='width:500px;'>".phpentities(stripslashes($settings2['r8hl_welcome_message']))."</textarea></td>\n";
echo "</tr>\n";
	if ($settings['tinymce_enabled'] != 1) {
		echo "<tr>\n<td class='tbl'></td>\n<td class='tbl'>\n";
		echo display_html("settingsform", "r8hl_welcome_message");
		echo "</td>\n</tr>\n";
			echo"<tr>\n<td>\n</td>\n<td>\n" .display_bbcodes("100%;", "r8hl_welcome_message", "settingsform", "")."</td>\n</tr>\n";
	}
echo "<tr>\n";
echo "<td width='30%' valign='top' class='tbl'>".$locale['413']."</td>\n";
echo "<td width='70%' class='tbl'><input type='text' name='opening_page' value='".$settings2['opening_page']."' maxlength='100' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n</table>\n";
echo "<table cellpadding='0' cellspacing='0' width='500' class='center'>\n";
echo"<strong>".$locale['681']."</strong>";
echo "<tr>\n<td width='50%' class='tbl'>".$locale['657']."</td>\n";
echo "<td width='50%' class='tbl'><select name='maintenance' class='textbox'>\n";
echo "<option value='1'".($settings['maintenance'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($settings['maintenance'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top' width='50%' class='tbl'>".$locale['658']."</td>\n";
echo "<td width='50%' class='tbl'><textarea name='r8hl_maintenance_message' cols='50' rows='10' class='textbox' style='width:500px;'>".phpentities(stripslashes($settings['r8hl_maintenance_message']))."</textarea></td>\n";
echo "</tr>\n";
	if ($settings['tinymce_enabled'] != 1) {
		echo "<tr>\n<td class='tbl'></td>\n<td class='tbl'>\n";
		echo display_html("settingsform", "r8hl_maintenance_message");
		echo "</td>\n</tr>\n";
			echo"<tr>\n<td>\n</td>\n<td>\n" .display_bbcodes("100%;", "r8hl_maintenance_message", "settingsform", "")."</td>\n</tr>\n";
	}
echo "<tr>\n";
echo "<td align='center' colspan='2' class='tbl'><br />\n";
echo "<input type='submit' name='savesettings' value='".$locale['750']."' class='button' /></td>\n";
echo "</tr>\n</table>\n</form>\n";
closetable();
require_once THEMES."templates/footer.php";
?>